/*******************************************************************************
 *   Filename:       bsp.h
 *   Revised:        All copyrights reserved to Roger-WY.
 *   Revision:       v1.0
 *   Writer:	     Roger-WY.
 *
 *   Description:    板级支持包
 *
 *   Notes:
 *     				E-mail:wangyao19920204@msn.cn
 *
 *******************************************************************************/

#ifndef __BSP_H__
#define __BSP_H__

/* 开关全局中断的宏 */
#define ENABLE_INT()
#define DISABLE_INT()

/***********************************************
* 描述： 官方库外设驱动
*/
#include    "config.h"
#include	"STC32G_GPIO.h"
#include	"STC32G_ADC.h"
#include	"STC32G_Exti.h"
#include	"STC32G_I2C.h"
#include	"STC32G_SPI.h"
#include	"STC32G_Timer.h"
#include	"STC32G_UART.h"
#include	"STC32G_Compare.h"
#include	"STC32G_Delay.h"
#include	"STC32G_Switch.h"
#include	"STC32G_WDT.h"
#include	"STC32G_NVIC.h"


/***********************************************
* 描述： 用户自定义外设驱动
*/
#include "bsp_softtimer.h"
#include "bsp_led.h"
#include "bsp_iwdg.h"
#include "bsp_uart.h"
#include "bsp_ir.h"


/***********************************************
* 描述： ModbusRTU
*/
#include "modbus_cfg.h"
#if (MODBUS_CFG_SLAVE_EN >= 1)
#include "modbus_slave.h"
#endif
#if (MODBUS_CFG_HOST_EN >= 1)
#include "modbus_host.h"
#endif

/***********************************************
* 描述： 供外部调用的函数声明
*/
void bsp_Idle(void);
void bsp_Init(void);

#endif

/*****************************  (END OF FILE) *********************************/
